Arbor 3: FSM & BT Graph Editor 3.1.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties | List of all members
AgentController Class Reference

AI for the movement component that wraps the NavMeshAgent. More...

Inheritance diagram for AgentController:

## Public Types
enum | MovementType { NotChange, Normalize, DivSpeed, DivValue }
| Type of movement vector More...
enum | TurnType { UseX, RadianAngle }
| Type of Turn More...

## Public Member Functions
void | Patrol (Vector3 center, float speed, float radius)
| Wander within specified radius More...
void | Patrol (float speed, float radius)
| Wander within the specified radius from the start position More...
void | Follow (float speed, float stoppingDistance, Vector3 targetPosition)
| It approaches the specified position More...
void | Follow (float speed, float stoppingDistance, Transform target)
| Approach to the position of the specified Transform More...
void | Escape (float speed, float distance, Vector3 targetPosition)
| Keep away from specified position More...
void | Escape (float speed, float distance, Transform target)
| Away from the specified Transform More...
void | LookAt (float angularSpeed, Vector3 targetPosition)
| Rotate in the direction of the specified position. More...
void | LookAt (float angularSpeed, Transform target)
| Rotates in the direction of the specified Transform. More...
void | Resume ()
| Resume movement. More...
void | Stop ()
| Stop. More...
bool | Warp (Vector3 newPosition)
| Warps agent to the provided position. More...

## Properties
NavMeshAgent | agent`[get]`
Transform | agentTransform`[get]`
bool | isDone`[get]`
| Whether the move is complete or not. More...
bool | isMoving`[get]`

## Detailed Description

AI for the movement component that wraps the NavMeshAgent.

Used mainly through built-in Behavior's Agent.

## Member Enumeration Documentation

enum MovementType
| strong

Type of movement vector

Enumerator
NotChange | Use the value of NavMeshAgent.velocity as it is.
Normalize | Use the normalized value of NavMeshAgent.velocity.
DivSpeed | Use the value obtained by dividing NavMeshAgent.velocity by NavMeshAgent.speed.
DivValue | Use the value obtained by dividing NavMeshAgent.velocity by MovementDivValue.

enum TurnType
| strong

Type of Turn

Enumerator
UseX | Use the X value of the orientation vector.
RadianAngle | Calculate the radian angle from the XZ value of the direction vector.

## Member Function Documentation

void Escape | ( | float | speed,
|  | float | distance,
|  | Vector3 | targetPosition
| ) |  |

Keep away from specified position

Parameters

  speed | Movement speed
  distance | Distance away
  targetPosition | Target

void Escape | ( | float | speed,
|  | float | distance,
|  | Transform | target
| ) |  |

Away from the specified Transform

Parameters

  speed | Movement speed
  distance | Distance away
  target | Target

void Follow | ( | float | speed,
|  | float | stoppingDistance,
|  | Vector3 | targetPosition
| ) |  |

It approaches the specified position

Parameters

  speed | Movement speed
  stoppingDistance | Stopping distance
  targetPosition | Objective point

void Follow | ( | float | speed,
|  | float | stoppingDistance,
|  | Transform | target
| ) |  |

Approach to the position of the specified Transform

Parameters

  speed | Movement speed
  stoppingDistance | Stopping distance
  target | Objective point

void LookAt | ( | float | angularSpeed,
|  | Vector3 | targetPosition
| ) |  |

Rotate in the direction of the specified position.

Parameters

  angularSpeed | angular speed
  targetPosition | Target

void LookAt | ( | float | angularSpeed,
|  | Transform | target
| ) |  |

Rotates in the direction of the specified Transform.

Parameters

  angularSpeed | angular speed
  target | Target

void Patrol | ( | Vector3 | center,
|  | float | speed,
|  | float | radius
| ) |  |

Wander within specified radius

Parameters

  center | Center
  speed | Movement speed
  radius | Radius from the starting position

void Patrol | ( | float | speed,
|  | float | radius
| ) |  |

Wander within the specified radius from the start position

Parameters

  speed | Movement speed
  radius | Radius from the starting position

void Resume | ( |  | ) |

Resume movement.

void Stop | ( |  | ) |

Stop.

bool Warp | ( | Vector3 | newPosition | ) |

Warps agent to the provided position.

Parameters

  newPosition | New position to warp the agent to.

Returns
  True if agent is successfully warped, otherwise false.

## Property Documentation

NavMeshAgent agent
| get

Transform agentTransform
| get

bool isDone
| get

Whether the move is complete or not.

bool isMoving
| get